%define name gnome-nettool
%define version 1.2.0
%define release 1mdk

Summary: GNOME interface for networking tools
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: ImageMagick
BuildRequires:  perl-XML-Parser
Conflicts: gnome-network <= 1.99.5
Provides: gnome-netinfo
Obsoletes: gnome-netinfo
#gw for dig
Requires: bind-utils
#gw for ping, ping6
Requires: iputils
Requires: whois
Requires: traceroute

%description
This is a GNOME gui for the basic networking tools like ping, whois,
traceroute and dig.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): title="Network information" longtitle="GNOME Network Information" command="%{_bindir}/%name" icon="%name.png" needs="x11" section="Internet/Other"
EOF

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
ln -s %_datadir/%name/pixmaps/%name.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 %buildroot%_datadir/%name/pixmaps/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 %buildroot%_datadir/%name/pixmaps/%name.png %buildroot%_miconsdir/%name.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO NEWS AUTHORS ChangeLog
%_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/%name
%_datadir/pixmaps/*.png
%{_menudir}/*
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png

%changelog
* Mon Mar 07 2005 Götz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- New release 1.2.0

* Mon Dec 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- New release 1.0.0

* Tue Aug 31 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.99.3-1mdk
- New release 0.99.3

* Fri Aug 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-1mdk
- add icon
- New release 0.99.2

* Mon Jun 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.1-1mdk
- fix file list
- fix description
- renamed from gnome-netinfo

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-3mdk
- fix buildrequires

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-2mdk
- fix source url
- fix buildrequires

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-1mdk
- initial package
